> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-leet-slack-mcp-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get returns the tenant's default identity policies.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/settings/identity-policy-defaults
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/settings/identity-policy-defaults:
    get:
      tags:
        - Identity Policy Defaults
      summary: Get
      description: Get returns the tenant's default identity policies.
      operationId: c1.api.identity_platform.v1.IdentityPolicyTenantDefaultsService.Get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.identity_platform.v1.IdentityPolicyTenantDefaultsServiceGetResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Get
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.IdentityPolicyTenantDefaults.Get(ctx)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.IdentityPolicyTenantDefaultsServiceGetResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.identity_platform.v1.IdentityPolicyTenantDefaultsServiceGetResponse:
      description: The IdentityPolicyTenantDefaultsServiceGetResponse message.
      properties:
        defaults:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.identity_platform.v1.IdentityPolicyTenantDefaults
            - type: 'null'
      title: Identity Policy Tenant Defaults Service Get Response
      type: object
      x-speakeasy-name-override: IdentityPolicyTenantDefaultsServiceGetResponse
    c1.api.identity_platform.v1.IdentityPolicyTenantDefaults:
      description: |-
        IdentityPolicyTenantDefaults is the tenant-wide set of default identity
         policies applied when no more specific policy matches a user.
      properties:
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        credentialInventoryPolicyId:
          description: >-
            The default credential inventory policy (which credential types
            users may enroll).
          type: string
        enrollmentRequirementId:
          description: The default enrollment requirement.
          type: string
        recoveryPolicyId:
          description: The default recovery policy.
          type: string
        resourcePolicyId:
          description: The default resource policy.
          type: string
        sessionPolicyId:
          description: The default session policy.
          type: string
        signInPolicyId:
          description: The default sign-in policy.
          type: string
        universalPromiseIds:
          description: |-
            Tenant-wide promises every user must satisfy (e.g. terms-of-service
             acceptance).
          items:
            type: string
          type:
            - array
            - 'null'
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
      title: Identity Policy Tenant Defaults
      type: object
      x-speakeasy-entity: IdentityPolicyTenantDefaults
      x-speakeasy-name-override: IdentityPolicyTenantDefaults
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````